CreateContractCollection
curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/CreateContractCollection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 30957,
"contractCollection": {
"chainId": 80002,
"contractAddress": "0x477566e9ade2dfa69f066f909e36ad617a2adef7",
"collectionId": 819
}
}
'import requests
url = "https://metadata.sequence.app/rpc/Collections/CreateContractCollection"
payload = {
"projectId": 30957,
"contractCollection": {
"chainId": 80002,
"contractAddress": "0x477566e9ade2dfa69f066f909e36ad617a2adef7",
"collectionId": 819
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 30957,
contractCollection: {
chainId: 80002,
contractAddress: '0x477566e9ade2dfa69f066f909e36ad617a2adef7',
collectionId: 819
}
})
};
fetch('https://metadata.sequence.app/rpc/Collections/CreateContractCollection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractCollection": {
"id": 460,
"chainId": 80002,
"contractAddress": "0x477566e9ade2dfa69f066f909e36ad617a2adef7",
"collectionId": 819
}
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}シークレット
CreateContractCollection
POST
/
rpc
/
Collections
/
CreateContractCollection
CreateContractCollection
このページは役に立ちましたか?
⌘I